# Processing

Operations for processing submissions

## Start processing

> Use this endpoint to start processing a new submission. Provide the submission data in the request body.

```json
{"openapi":"3.0.0","info":{"title":"Formflow API","version":"1.0"},"tags":[{"name":"Processing","description":"Operations for processing submissions"}],"security":[{"access-token":[]}],"components":{"securitySchemes":{},"schemas":{"SubmissionEntryDTO":{"type":"object","properties":{"submissionId":{"type":"string","description":"The ID of the submission"},"generateTemplate":{"type":"boolean","description":"Whether to generate a template for the submission","default":false}},"required":["submissionId"]},"SubmissionResponseDto":{"type":"object","properties":{"submissionId":{"type":"string","description":"The ID of the submission"},"message":{"type":"string","description":"Response message"},"templateId":{"type":"number","description":"The ID of the template if generated"}},"required":["submissionId","message"]}}},"paths":{"/api/processing":{"post":{"description":"Use this endpoint to start processing a new submission. Provide the submission data in the request body.","operationId":"ProcessingController_startProcessing","parameters":[],"requestBody":{"required":true,"description":"The submission data to be processed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionEntryDTO"}}}},"responses":{"200":{"description":"Returns a message indicating that the processing service has started.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionResponseDto"}}}}},"summary":"Start processing","tags":["Processing"]}}}}
```
